Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.config
Class AbstractAssignmentHandlerImpl.ResponseImpl

    java.lang.Object
      com.bea.wli.worklist.api.config.AbstractAssignmentHandlerImpl.ResponseImpl

All Implemented Interfaces:
  AssignmentHandler.Response

Enclosing class:
  AbstractAssignmentHandlerImpl

    public static class AbstractAssignmentHandlerImpl.ResponseImpl

extends Object
implements AssignmentHandler.Response

Default implementation of the AssignmentHandler.Responses interface. This is a simple value object with no behavior of its own.

Field Summary
`AssigneeDefinition[]` | `assignees`
`String` | `claimant`

Constructor Summary
`AbstractAssignmentHandlerImpl.ResponseImpl()`

Method Summary
`String` | `getClaimant()` The user id of the user who should be made the claimant of the task, or null if no claimant was chosen.
`AssigneeDefinition[]` | `getNewAssigneeList()` Assignee list as calculated by the assignment handler, or null to accept the assignee list that was used to generate the candidate user id list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assignees

    public AssigneeDefinition[] assignees

### claimant

    public String claimant

Constructor Detail

### AbstractAssignmentHandlerImpl.ResponseImpl

    public AbstractAssignmentHandlerImpl.ResponseImpl()

Method Detail

### getNewAssigneeList

    public AssigneeDefinition[] getNewAssigneeList()

  Description copied from interface: `AssignmentHandler.Response`
  Assignee list as calculated by the assignment handler, or null to accept the assignee list that was used to generate the candidate user id list.

  Specified by:
    `getNewAssigneeList` in interface `AssignmentHandler.Response`

### getClaimant

    public String getClaimant()

  Description copied from interface: `AssignmentHandler.Response`
  The user id of the user who should be made the claimant of the task, or null if no claimant was chosen.

  Specified by:
    `getClaimant` in interface `AssignmentHandler.Response`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD